Bug 536280 - (RHQ-647) RFE: Dynamic metadata: Support automatically adding mbeans as resources
RFE: Dynamic metadata: Support automatically adding mbeans as resources
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks: 771762
  Show dependency treegraph
 
Reported: 2008-07-07 09:06 EDT by Joseph Marques
Modified: 2015-02-01 18:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-07-07 09:06:00 EDT
the mbeanserver can provide us with metadata about the structure of the actual mbeans in some jmx-enabled server.  we need to come up with a way to specify plugin metadata that will know how to read and parse this mbean metadata in a generic way so as to automatically create resource types.  once we have the types created on the fly, we shoudl be able to requery the mbeanserver and impot all mbeans into the inventory as resources of their appropriate, dynamically-created type.

note: this will not alter any metadata that has been hard-coded into plugins that talk to jmx-based resources, this merely augments it.  as a result, there is a natural expectation for some resources to be logical duplicates of one another - this is ok.
Comment 1 Heiko W. Rupp 2008-07-15 15:31:25 EDT
See also http://forums.rhq-project.org/viewtopic.php?f=5&t=56
Comment 2 Greg Hinkle 2008-07-29 21:28:04 EDT
This is nice to have, but too large a feature addition for 1.1.
Comment 3 John Mazzitelli 2009-04-30 12:52:01 EDT
i would like to target this for next version. is this doable?

more than one person/group needs this.
Comment 4 John Mazzitelli 2009-07-12 19:14:59 EDT
this is our desired "dynamic metadata" feature - design docs here: http://jopr.org/confluence/display/RHQ/Dynamic+Metadata
Comment 5 Red Hat Bugzilla 2009-11-10 16:13:57 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-647
Comment 6 Corey Welton 2010-10-06 23:13:41 EDT
Triaged 5-Oct
Comment 11 Jay Shaughnessy 2014-05-14 10:32:13 EDT
Dynamic metadata is still being kicked around...

Note You need to log in before you can comment on or make changes to this bug.